## libkdegames 23.08.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,6 +25,13 @@
 include(ECMDeprecationSettings)
 include(FeatureSummary)
 include(CMakePackageConfigHelpers)
+if (QT_MAJOR_VERSION STREQUAL "6")
+    set(QT_REQUIRED_VERSION "6.4.0")
+    set(KF_MIN_VERSION "5.240.0")
+    set(KF_MAJOR_VERSION "6")
+else()
+    set(KF_MAJOR_VERSION "5")
+endif()
 
 find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
     Widgets
@@ -38,7 +45,7 @@
     find_package(Qt6Core5Compat)
 endif()
 
-find_package(KF5 ${KF_MIN_VERSION} REQUIRED COMPONENTS
+find_package(KF${KF_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS
     Archive
     Completion
     Config
@@ -55,7 +62,12 @@
 
 include(InternalMacros)
 
+# reset to 0 once all deprecated API has been removed on full switch to Qt6
+if (QT_MAJOR_VERSION STREQUAL "6")
+set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 7.5.0 CACHE STRING "Control the range of deprecated API excluded from the build [default=7.5.0].")
+else()
 set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")
+endif()
 
 set(HIGHSCORE_DIRECTORY "" CACHE STRING "Where to install system-wide highscores e.g. /var/games")
 
@@ -90,7 +102,7 @@
 
 ecm_set_disabled_deprecation_versions(
     QT 5.15.2
-    KF 5.98
+    KF 5.103
     KCOREADDONS 5.73 # KRandomSequence, cannot be removed
 )
