=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libkdegames
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
 Build-Depends: cmake (>= 3.16.0~),
                debhelper-compat (= 13),
@@ -29,19 +30,30 @@
                qtdeclarative5-dev (>= 5.15.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://games.kde.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkdegames
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkdegames.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkdegames
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkdegames
 
 Package: kdegames-card-data-kf5
 Architecture: all
 Section: games
 Multi-Arch: foreign
-Depends: ${misc:Depends},
+Depends: ${misc:Depends}
 Description: card decks for KDE games
  This package contains a collection of playing card themes for KDE card games.
+ .
+ This package is part of the KDE games module.
+
+Package: libkf5kdegames-data
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: ${kde-l10n:all}
+Replaces: ${kde-l10n:all}
+Description: shared library for KDE games - data files
+ This package contains a shared library used by KDE games.
  .
  This package is part of the KDE games module.
 
@@ -66,7 +78,9 @@
 Package: libkf5kdegames7
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: libkf5kdegames-data (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends},
 Description: shared library for KDE games
  This package contains a shared library used by KDE games.
  .
@@ -75,7 +89,9 @@
 Package: libkf5kdegamesprivate7
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: libkf5kdegamesprivate1 (<< 4:21.03.90~)
+Replaces: libkf5kdegamesprivate1 (<< 4:21.03.90~)
 Description: private part of shared library for KDE games
  This package contains the private parts of the shared library used by KDE
  games.
@@ -84,7 +100,7 @@
 
 Package: qml-module-org-kde-games-core
 Architecture: any
-Depends: qml-module-qtquick2, ${misc:Depends}, ${shlibs:Depends},
+Depends: qml-module-qtquick2, ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: kde-games-core QtDeclarative QML support
  Contains a plugin for QtDeclarative that provides
