## libkdegames 24.08.2

=== debian/changelog ===
libkdegames (4:24.08.2-2ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 02 Nov 2024 18:01:03 -0500

libkdegames (4:24.08.2-2) experimental; urgency=medium

  [ Sandro Knauß ]
  * Update symbols from buildds for 24.08.2.
  * Fix version information in symbols file.

 -- Sandro Knauß <hefee@debian.org>  Sat, 12 Oct 2024 14:00:09 +0200

libkdegames (4:24.08.2-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (24.08.2).
  * Install qml module in dev packages for qml detection.
  * Use qmldepends to detect QML dependencies.
  * Update copyright information.

 -- Sandro Knauß <hefee@debian.org>  Sat, 12 Oct 2024 11:16:16 +0200

libkdegames (4:24.05.2-3) experimental; urgency=medium

  * Add breaks/replaces for kdegames-card-data-kf5 (Closes: #1078104)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 08 Aug 2024 01:26:10 -0700

libkdegames (4:24.05.2-2) experimental; urgency=medium

  [ Scarlett Moore ]
  * Rename the game card data package to drop kf6 and move 
    localization files into a i18n package. Add the missing 
    depends to the lib packages for the i18n.

 -- Scarlett Moore <sgmoore@debian.org>  Wed, 07 Aug 2024 03:04:25 -0700

libkdegames (4:24.05.2-1) experimental; urgency=medium

  [ Debian Qt/KDE Maintainers ]
  * New upstream release (24.05.2).

  [ Scarlett Moore ]
  * Add myself to uploaders.
  * Update dependencies according to cmake.
  * Create new packages for kf6.
  * Generate new symbols files.
  * Refresh copyright.
  * Add hardening flags to rules.
  * Add bug information to metadata.
  * Fix description lengths.
  * Bump standards version; no changes required.

 -- Scarlett Moore <sgmoore@debian.org>  Tue, 30 Jul 2024 16:36:06 -0700
