## libkdegames 24.12.0

=== debian/changelog ===
libkdegames (4:24.12.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Build depend on qt6-declarative-private-dev

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 20 Dec 2024 19:48:48 +0100
