=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libkdegames
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Scarlett Moore <sgmoore@debian.org>,
 Build-Depends: cmake (>= 3.16.0~),
@@ -30,13 +29,14 @@
                qml6-module-qtquick,
                qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-declarative-dev (>= 6.5.0+dfsg~),
+               qt6-declarative-private-dev (>= 6.7.2+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://games.kde.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkdegames
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkdegames
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkdegames
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkdegames.git
 
 Package: kdegames-card-data
 Architecture: all
