## libkdegames 24.12.1

=== debian/changelog ===
libkdegames (4:24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 05:36:40 +0000

libkdegames (4:24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:22:46 +0000

libkdegames (4:24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 12:57:27 +0000

libkdegames (4:24.11.80-0ubuntu2) plucky; urgency=medium

  * Rebuild against openal-soft 1.23.1

 -- Rik Mills <rikmills@kde.org>  Tue, 19 Nov 2024 13:51:24 +0000

libkdegames (4:24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)

 -- Rik Mills <rikmills@kde.org>  Tue, 19 Nov 2024 12:21:01 +0000

libkdegames (4:24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 11:47:36 +0000
