=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libkdegames
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Scarlett Moore <sgmoore@debian.org>,
 Build-Depends: cmake (>= 3.16.0~),
@@ -23,20 +24,19 @@
                libkf6newstuff-dev (>= 6.0.0~),
                libkf6xmlgui-dev (>= 6.0.0~),
                libopenal-dev,
-               qt6-svg-dev (>= 6.5.0~),
                libsndfile1-dev,
                pkg-kde-tools (>= 0.14),
                qml6-module-qtquick,
                qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-declarative-dev (>= 6.5.0+dfsg~),
-               qt6-declarative-private-dev (>= 6.7.2+dfsg~),
+               qt6-svg-dev (>= 6.5.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://games.kde.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkdegames
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkdegames.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkdegames
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkdegames
 
 Package: kdegames-card-data
 Architecture: all
@@ -63,11 +63,11 @@
 Package: libkdegames6-dev
 Architecture: any
 Section: libdevel
-Depends: libkf6completion-dev (>= 6.0.0~),
-         libkf6configwidgets-dev (>= 6.0.0~),
-         libkdegames6-6 (= ${binary:Version}),
+Depends: libkdegames6-6 (= ${binary:Version}),
          libkdegames6private6 (= ${binary:Version}),
          libkf6colorscheme-dev (>= 6.0.0~),
+         libkf6completion-dev (>= 6.0.0~),
+         libkf6configwidgets-dev (>= 6.0.0~),
          qml6-module-org-kde-games-core (= ${binary:Version}),
          qt6-base-dev (>= 6.5.0+dfsg~),
          qt6-declarative-dev (>= 6.5.0+dfsg~),
