## libkdegames 24.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,48 @@
 cmake_minimum_required (VERSION 3.16 FATAL_ERROR)
 
-set(KDEGAMES_VERSION 7.5.0)
-set(KDEGAMES_SOVERSION 7)
+# Release Service version, managed by release script
+set(RELEASE_SERVICE_VERSION_MAJOR "24")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "2")
 
-project(libkdegames VERSION ${KDEGAMES_VERSION})
+# generate patch level from release service version
+set(_micro ${RELEASE_SERVICE_VERSION_MICRO})
+if (_micro LESS "10")
+    string(PREPEND _micro "0") # pad with 0
+endif()
+set(RELEASE_SERVICE_BASED_PATCHLEVEL "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${_micro}")
 
-set (QT_MIN_VERSION "5.15.0")
-set (KF_MIN_VERSION "5.98.0")
+set(LIBKDEGAMES_VERSION_LIB "6.0")
+
+
+project(libkdegames VERSION "${LIBKDEGAMES_VERSION_LIB}.${RELEASE_SERVICE_BASED_PATCHLEVEL}")
+if (APPLE)
+    # until now we didn't build on macos in 6.x
+    # => change version for macos will not create problem
+    # if we want to add new feature we will increase LIBKDEGAMES_VERSION_LIB
+
+    # Code stoled to kdevelop
+    # The math expression below automatically increments libkdegame minor version in each KDE Gear release.
+    # The multiplier 3 is the number of releases that share ${RELEASE_SERVICE_VERSION_MAJOR}.
+    # The fraction assigns consecutive minor versions to the 3 releases - 04, 08 and 12. The rounding up groups
+    # pre-release versions with the corresponding final release versions: 03 with 04, 07 with 08 and 11 with 12.
+    # The final subtrahend at the end of the expression ensures version continuity: libkdegames 6.0 in KDE Gear 24.08.
+    math(EXPR LIBKDEGAME_OWN_MINOR_VERSION "${RELEASE_SERVICE_VERSION_MAJOR} * 3                  \
+                                          + (${RELEASE_SERVICE_VERSION_MINOR} + 4 - 3) / 4      \
+                                          - 74")
+    ###################################################################################
+    # Kludge for bug #448152: ld: malformed 64-bit a.b.c.d.e version number: 5.7.211201
+    # Apple's linker uses the project version (not the SOVERSION) to calculate an
+    # unsigned int in such a way that places restrictions on the magnitude of each tier
+    # of the version string.
+    # See here: https://www.sicpers.info/2013/03/how-to-version-a-mach-o-library/
+    ###################################################################################
+    project(libkdegames VERSION "${LIBKDEGAMES_VERSION_LIB}.${LIBKDEGAME_OWN_MINOR_VERSION}${_micro}")
+endif()
+
+
+set(QT_MIN_VERSION "6.5.0")
+set(KF_MIN_VERSION "6.0.0")
 
 find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH})
@@ -23,30 +59,21 @@
 include(ECMGenerateExportHeader)
 include(ECMQtDeclareLoggingCategory)
 include(ECMDeprecationSettings)
+include(ECMQmlModule)
 include(FeatureSummary)
 include(CMakePackageConfigHelpers)
-if (QT_MAJOR_VERSION STREQUAL "6")
-    set(QT_REQUIRED_VERSION "6.4.0")
-    set(KF_MIN_VERSION "5.240.0")
-    set(KF_MAJOR_VERSION "6")
-else()
-    set(KF_MAJOR_VERSION "5")
-endif()
 
-find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
+find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS
     Widgets
     Qml
     Quick
-    QuickWidgets
     Svg
     Test
 )
-if (QT_MAJOR_VERSION STREQUAL "6")
-    find_package(Qt6Core5Compat)
-endif()
 
-find_package(KF${KF_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS
+find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
     Archive
+    ColorScheme
     Completion
     Config
     ConfigWidgets
@@ -55,19 +82,12 @@
     IconThemes
     I18n
     NewStuff
-    Service
     XmlGui
-    WidgetsAddons
 )
 
 include(InternalMacros)
 
-# reset to 0 once all deprecated API has been removed on full switch to Qt6
-if (QT_MAJOR_VERSION STREQUAL "6")
-set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 7.5.0 CACHE STRING "Control the range of deprecated API excluded from the build [default=7.5.0].")
-else()
 set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")
-endif()
 
 set(HIGHSCORE_DIRECTORY "" CACHE STRING "Where to install system-wide highscores e.g. /var/games")
 
@@ -98,12 +118,11 @@
 set(KGAUDIO_BACKEND openal)
 set(KGAUDIO_BACKEND_OPENAL TRUE) # for configure_file() below
 
-add_definitions(-DTRANSLATION_DOMAIN="libkdegames5")
+add_definitions(-DTRANSLATION_DOMAIN="libkdegames6")
 
 ecm_set_disabled_deprecation_versions(
-    QT 5.15.2
-    KF 5.103
-    KCOREADDONS 5.73 # KRandomSequence, cannot be removed
+    QT 6.8.0
+    KF 6.7
 )
 
 add_subdirectory(src)
@@ -119,4 +138,4 @@
 
 kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
 
-feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
+feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
